Claim a Domain

Pre-release
Claims ownership of a custom domain that is bound to a different store. Before calling this endpoint, publish the ownership-verification TXT record returned by the [Add a Domain](#add-a-domain) endpoint's `409` response. Once the TXT record is verified, the domain is released from the other store and bound to this project.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Infrastructure Deployments | read-only | `store_infrastructure_deployments_read_only` | | Infrastructure Deployments | create preview | `store_infrastructure_deployments_create_preview` | | Infrastructure Deployments | manage | `store_infrastructure_deployments_manage` | | Infrastructure Projects | read-only | `store_infrastructure_projects_read_only` | | Infrastructure Projects | manage | `store_infrastructure_projects_manage` | | Infrastructure Logs | read-only | `store_infrastructure_logs_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

project_uuidstringRequiredformat: "uuid"
The UUID of the project to claim the domain for.
domainstringRequired
The custom domain name to claim.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Response

The domain was claimed successfully. No content is returned.

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error